import { ArticleItem, Base, Config } from '../base';
interface GithubConfig extends Config {
    /**
     * 仓库地址
     */
    repo: string;
}
interface Issue {
    title: string;
    id: number;
    labels?: {
        name: string;
        id: number;
    }[];
    user: {
        login: string;
    };
    created_at: string;
    updated_at: string;
    body: string;
}
export declare class Github extends Base<GithubConfig> {
    headers: {};
    articleMap: Record<string, Issue>;
    getMain(): Promise<number[]>;
    getDetail(id: number): Promise<ArticleItem>;
}
export {};
